server:
    port: 8080
    servlet:
        context_path: /
    compression:
        enabled: true
        mime-types: application/json,application/xml,text/html,text/xml,text/plain
    error:
        whitelabel:
            enabled: false
spring:
    profiles:
        active: dev
    datasource:
#        url: jdbc:mysql://mysql.izouma.com/awesome_admin_v2?useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&allowMultiQueries=true&useSSL=false&serverTimezone=GMT%2b8
#        username: microball
#        password: 2wsx@WSX#EDC
        url: jdbc:mysql://localhost:3306/art_examination?useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&allowMultiQueries=true&useSSL=false&serverTimezone=GMT%2b8
        username: root
        password: 12345678
        hikari:
            minimum-idle: 5
            maximum-pool-size: 30
            auto-commit: true
            idle-timeout: 30000
            max-lifetime: 1800000
            connection-timeout: 30000
            connection-test-query: SELECT 1
    jpa:
        database: MySQL
        database_platform: org.hibernate.dialect.MySQL5InnoDBDialect
        hibernate:
            ddl_auto: update
        properties:
            hibernate:
                enable_lazy_load_no_trans: true
    redis:
        host: 127.0.0.1
        port: 6379
        lettuce:
            pool:
                max_active: 8
                max_idle: 8
                min_idle: 0
    servlet:
        multipart:
            max_file_size: 100MB
            max_request_size: 100MB
    freemarker:
        settings:
            number_format: 0
    cache:
        type: caffeine
jwt:
    secret: XvAD0kboD76Dpebm
    header: Authorization
    expiration: 2592000 #30days
wx:
    mp:
        app_id: wx2375cba2eec2c479
        app_secret: 28e4829124860d9ef9e2f32aeefd1111
    ma:
        app_id: wx6517cbf58115c508
        app_secret: 8af0e8ba28ffddfb7e574e6c7cb6aaf1
        msg_token: msgToken
        msg_aes_key: aesKey
        msg_format: JSON
    pay:
        appId: wx2375cba2eec2c479
        mchId: 1529090291
        mchKey: uDusnGcUqYyWqsBdmvuioxDhtgZErwtu
        subAppId: #服务商模式下的子商户公众账号ID
        subMchId: #服务商模式下的子商户号
        keyPath: classpath:/cert/apiclient_cert.p12
        notifyUrl: http://zmj.izouma.com/wx/payNotify
        refundNotifyUrl: http://zmj.izouma.com/wx/refundNotify
storage:
    provider: aliyun
    local_path: /var/www/upload/
aliyun:
    access-key-id: PXzJyah5rZfWHIIH
    access-key-secret: e1MS6j0wypXJrw8CM0hObZu8qKbfah
    oss-end-point: oss-cn-hangzhou.aliyuncs.com
    oss-bucket-name: ticket-exchange
    oss-domain: https://ticket-exchange.oss-cn-hangzhou.aliyuncs.com
general:
    host: http://art.izouma.com
---

spring:
    profiles: test

---

spring:
    profiles: prod

